# Method: creativeFieldValues.patch

- [HTTP request](https://developers.google.com/doubleclick-advertisers/rest/v5/creativeFieldValues/patch#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/doubleclick-advertisers/rest/v5/creativeFieldValues/patch#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/doubleclick-advertisers/rest/v5/creativeFieldValues/patch#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/doubleclick-advertisers/rest/v5/creativeFieldValues/patch#body.request_body)
- [Response body](https://developers.google.com/doubleclick-advertisers/rest/v5/creativeFieldValues/patch#body.response_body)
- [Authorization scopes](https://developers.google.com/doubleclick-advertisers/rest/v5/creativeFieldValues/patch#body.aspect)
- [Try it!](https://developers.google.com/doubleclick-advertisers/rest/v5/creativeFieldValues/patch#try-it)

Updates an existing creative field value. This method supports patch semantics.

### HTTP request

`PATCH https://dfareporting.googleapis.com/dfareporting/v5/userprofiles/{profileId}/creativeFields/{creativeFieldId}/creativeFieldValues`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `profileId` | `string (https://developers.google.com/discovery/v1/type-format format)` User profile ID associated with this request. |
| `creativeFieldId` | `string (https://developers.google.com/discovery/v1/type-format format)` CreativeField ID. |

### Query parameters

| Parameters ||
|---|---|
| `id` | `string (https://developers.google.com/discovery/v1/type-format format)` CreativeFieldValue ID. |

### Request body

The request body contains an instance of `https://developers.google.com/doubleclick-advertisers/rest/v5/creativeFieldValues#CreativeFieldValue`.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/doubleclick-advertisers/rest/v5/creativeFieldValues#CreativeFieldValue`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/dfatrafficking`